org.apache.ignite.internal.processors.cache.distributed.dht

## Class GridDhtPartitionsEvictor

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtPartitionsEvictor

    public class GridDhtPartitionsEvictor
    extends Object

Class that serves asynchronous part eviction process. Only one partition from group can be evicted at the moment.

### Constructor Summary

Constructors
Constructor and Description
`GridDhtPartitionsEvictor(CacheGroupContext grp)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `evictPartitionAsync(GridDhtLocalPartition part)` Adds partition to eviction queue and starts eviction process.
`void` `stop()` Stops eviction process.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridDhtPartitionsEvictor

    public GridDhtPartitionsEvictor(CacheGroupContext grp)

Constructor.

Parameters:
  `grp` - Cache group context.

### Method Detail

#### evictPartitionAsync

    public void evictPartitionAsync(GridDhtLocalPartition part)

Adds partition to eviction queue and starts eviction process.

Parameters:
  `part` - Partition to evict.

#### stop

    public void stop()

Stops eviction process. Method awaits last offered partition eviction.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018